View Issue Details

IDProjectCategoryView StatusLast Update
0003837ScribusGeneralpublic2016-12-01 11:59
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0003837: Metabug: Master pages/Page templates
Description Issues with respect to master pages (page templates in earlier versions).

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to master pages, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0002107 acknowledged Master documents 
related to 0003436 acknowledged Add "edit style" buttons to the properties palette 
related to 0000129 closedfschmid Bleed functionality 
related to 0003130 closedsubik newPage does load template, no error though 
related to 0000245 acknowledged Automatic addition of new pages with auto-text frames. 
related to 0003458 acknowledged Add support for watermarks 
related to 0000083 closedale Booklet functionality 
related to 0003388 closedcbradney Dialog for master pages is too small 
related to 0003287 closedjghali Combine Arranges Pages & Edit Masters into a single Pages window. 
related to 0003175 closedcbradney Page numbers not showing up 
related to 0003015 closedfschmid When scratch space is changed, master pages are drawn incorrectly 
related to 0002952 closedfschmid Scribus' pdf generator puts references to all master pages in its generated PDFs 
related to 0002913 confirmed modify/create templates with scripter 
related to 0002681 closedfschmid Bug in print preview 
related to 0002137 closedcbradney Bug in status bar in number-pages field 
related to 0002119 closedfschmid Text frame size wrong when adding pages 
related to 0002175 closedfschmid "apply master page" dialog elements don't fit 
related to 0002458 acknowledged Ability to define page colour or image as page background 
related to 0001410 acknowledged Allow automatic text frames after document has been started 
related to 0001579 closedTsoots styles manager - mockup included 
related to 0000459 acknowledged template items could detach for stacking, moving, editing, deletion, on local pages 
related to 0000454 acknowledged Tools>Page Palette look need to be slightly tweaked and the name changed. 
related to 0001548 closedcbradney Redesign of Preferences - Guides 
related to 0002565 closedfschmid Content in page templates causes PDF exported which has grave errors in Acrobat 5 and 7 
related to 0001322 acknowledged unify Styles and Templates, make them hierarchical (add inheritance) 
related to 0002185 closedcbradney Page Numbers can't be aligned at the right side 
related to 0001798 closedfschmid "Arrange Pages" doesn't get updated 
related to 0001378 closedfschmid Some elements on a template don't make it into PDF 
related to 0001349 closedfschmid Auto Number-Page Bug 
related to 0000028 closedplinnell Prepare shortcut keys for menus and dialogs, and more hotkeys for actions for 1.2 release 
related to 0000724 closedfschmid No left aligned page numbers 
related to 0000659 closedfschmid Templates > Story Editor & Properties: Confusion about styles 
related to 0000356 closedale Margin Dialog not intuituve enough 
related to 0000366 closedplinnell Edit Templates Dialog gets in way of drag > copy of shapes 
related to 0000360 closedcbradney Can't insert page number 
related to 0000043 closedfschmid When editing templates the Page Menu is disabled, therefore removing access to Page->Manage Guides 
related to 0011409 closedjghali crash while importing masterpage, with gdb backtrace 
related to 0012738 confirmed Scribus should exit masterpage edit mode at real begining of PDF Export 
related to 0012158 confirmed Masterpage names are not allways well described 
related to 0011601 assignedfschmid IDML import : masterpages are not imported 
related to 0011667 new Page manager : provide visual feedback when draging masterpage on page thumbnail 
related to 0010272 closedale More versatile "masterpage import" 
related to 0010453 confirmed masterpage edit : keep position when changing masterpage 
related to 0010468 new "Lock object" option to Duplicate action, as a way to emulate editable parts in masterpages 
related to 0012924 confirmed Dont jump to previously selected page when applying masterpage with dragndrop 
parent of 0003815 closedcbradney Creating text frames in master pages copied from normal pages triggers crash 
parent of 0003731 closed Problem with inner/outer margins in master pages 
parent of 0003584 closedfschmid Insert page always creates right page margins first page specified as right page) 
parent of 0003772 closedjghali template with tables causes exception error 
parent of 0000195 feedback Master pages must be 2 different facing pages 
parent of 0002341 acknowledged apply masterpage: change the range fields to one field where user defined pages can be entered (like 1-4,7,9) 
parent of 0003629 acknowledged Import Master Pages - Previosuly imported document should be remembered 
parent of 0002400 closedfschmid resizing document won't affect masterpages 
parent of 0002793 closedKunda Master Pages should be (optionally) separate from the Document 
parent of 0003300 closed Copying frames from the canvas to master pages results in multiple frames 
parent of 0003338 acknowledged text frames in master page which are automatically linkable 
parent of 0003416 closed master pages: "normal" cannot be deleted nor renamed 
parent of 0001184 closedcbradney Being able to edit master pages names in the master page dialog 
parent of 0003415 closedcbradney Duplicate masterpages creates endless names if you dont change them. 
parent of 0003183 closedfschmid Page Prooperties: add combobox to choose/change the master page 
parent of 0003645 closedTsoots Undo in connection with master pages triggers crash 
parent of 0000185 acknowledged Allow frames on master pages to have content when applied to normal pages. 
parent of 0003163 closedfschmid page palette: after every applied masterpage the the last position is lost 
parent of 0003222 closed Masters as spread too. 
parent of 0003526 closedcbradney Master pages containing multiple pages 
parent of 0003478 closedcbradney Converting page to Master Page doesn't carry margins. 
parent of 0003211 closedcbradney Margins in single page mode mixed up in Master Pages editing. 
parent of 0003243 closedfschmid modifying master pages jumps to page 1 
parent of 0003297 closedcbradney Scribus Crashes with Code 11 when trying to create a MasterPage of al previously layouted Page. 
parent of 0002435 closedTsoots Trying to undo actions done on Master Page Objects whilst in operating on normal Pages triggers a crash. 
parent of 0003230 closedcbradney Master page import and deletion issues 
parent of 0003212 closedfschmid Applying Master doesn't change margins on page. 
parent of 0003186 closedcbradney "convert to master page" creates portrait masters even if i convert a landscape page 
parent of 0003187 closedcbradney convert to master page: we should display an error message if user enters a non unique name 
parent of 0003139 closedfschmid Arrange Pages: Pages created in this palette do not have a page number in it 
parent of 0001557 closed current document as template 
parent of 0002843 closedfschmid masterpages: table containing sample text doesnt display it 
parent of 0002977 closedcbradney Importing Master Pages produces signal 11 crashes (sometimes) and always imports the page into another master 
parent of 0002993 closedcbradney Convert to Masterpage always suggests "New Masterpage" as name for a masterpage 
parent of 0002906 closedcbradney Copy page to master page places items relative to location of original page, not the new master page's origin 
parent of 0002837 closedcbradney Sig11 on duplicate or import of master pages 
parent of 0002749 closedcbradney Scribus crash with Signal 11 when trying to convert a page to Master Page 
parent of 0002646 assigned Mirror master pages 
parent of 0002496 closedfschmid Scribus crashes with Sig 11 after trying to import a Master Page from a different document 
parent of 0002574 closedfschmid When a master page is duplicated, in the saved doc, the duplicated items are on the source master page, not on the duplicata 
parent of 0002416 closed Scribus crashes after user tried to create a template/Master Page 
parent of 0002523 closedfschmid Convert page to master page 
parent of 0002413 closedfschmid Add Page(s) -- wrong master page applied 
parent of 0002412 closed Not possible to make PDF annotations in a Template /Master Page 
parent of 0001957 closedcbradney Rename Page Templates to be Master Pages 
parent of 0002845 closedcbradney Item from Template cannot be changed 
parent of 0000663 closedcbradney Templates: Outline palette doesn't show templates 
parent of 0001931 closedringerc Document not flagged as modified after template deletion 
parent of 0000766 closed Templates don't change left/right when a page is inserted 
parent of 0001896 closedfschmid Page numbering not generated 
parent of 0000403 closedfschmid Edit>Edit Styles>Append does not allow to choose the style to import like template append does. 
parent of 0001572 closedfschmid Text flows around frame does not work correct in page templates 
parent of 0001358 closedcbradney Ability to apply a template to all odd (or even) pages to a range of pages in Page>Apply template 
parent of 0001835 closedcbradney outline: a single left or right click on the page template shouldnt open the template dialog 
parent of 0001799 closedfschmid Margins are drawn on the wrong spot when editing a template page 
parent of 0001796 closedfschmid Scribus crashes when duplicating a template-page 
parent of 0001357 closedcbradney Duplicate guides when duplicating a template 
parent of 0001228 closedfschmid Ghost layer with Append Templates 
parent of 0001213 closedfschmid duplicating a page template doesn't duplicate the guides 
parent of 0000935 closedfschmid add option to apply a template page to all odd/even pages 
parent of 0000658 closedfschmid Templates: issues with text editing in story editor 
parent of 0000860 closedfschmid Lots of crash saying that is due to signal 11 
parent of 0000590 closedfschmid Trying to copy frames from actual page to a just made page template crashes scribus with signal 11. 
parent of 0000359 closedfschmid Changing text alignment resets font style 
parent of 0000144 closedcbradney Templates text Actual/Current 
parent of 0000021 closedfschmid Ability to import/copy Page Templates between documents, or send to Scrapbook 
parent of 0004054 closedfschmid Let Scribus create default master pages 
parent of 0004373 closedfschmid "Convert to master page" doesn't update "Arrange pages" 
parent of 0004169 closedjghali Master Page Copy and Paste problems 
parent of 0004289 closedfschmid View Master page by double click in "Arrange Pages" works only after prior right click or focus change. 
parent of 0003947 closedplinnell margin guides of left page changed when inserting pages using master pages in double sided document 
parent of 0005990 closed Items on Master pages can never be placed above items on normal pages 
parent of 0004399 closedale Level of Objects and Masterpages 
parent of 0005928 acknowledged control of page numbers in Master Pages to include parallel page numbering etc. 
parent of 0011235 new Master page side bad applied 
parent of 0008356 new Left/Right masterpages are misplaced after page insert 
parent of 0011106 feedback PDF toolbar disabled when in masterpage edit mode 
parent of 0012515 new Suggestion to improve indication that Scribus is in Master Pages edit mode 
parent of 0010263 closed [patch] Better Masterpage Import 
parent of 0012588 closedale Master Page import Improvements 
parent of 0008602 confirmed Master Pages don't respect linked text frames 
parent of 0012108 closedfschmid Wrong caption for Edit Master Pages dialog 
parent of 0009766 closedcbradney Arrange Page - Drag and Drop Master Pages doesn't seem to apply Text Area Guide 
parent of 0012478 closed Notifying that Scribus is in Master Page mode if attempting to close Scribus 
parent of 0013526 new Preview of MasterPages 
parent of 0008919 new PDF objects on master page aren't generated as PDF form fields and their PDF properties cannot be set 
parent of 0009414 new Enhancement for "Apply Master Page" dialog (mockup incl.) 
parent of 0013297 new [Feature] Color Code Master Pages like in Layers dialog (mockup included) 
parent of 0013927 new Make better use of available horizontal space for document pages in "Arrange Pages" (display master page names on the sides) 
parent of 0004662 confirmed Switching basic document layout leaves master pages intact (AKA updating single to double or vice-versa doesn't +/- masterpage) 
parent of 0006480 new Creating crop mark on master page 
parent of 0013223 new make master pages editing stick out 
parent of 0008115 closedale Import multiple master pages 
related to 0013401 closedcbradney  [PATCH] Save CTRL+S is broken when in Masterpage Edit mode 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-18 18:04 christoph_s New Issue
2006-05-18 18:05 christoph_s Relationship added parent of 0003815
2006-05-18 18:05 christoph_s Relationship added parent of 0003731
2006-05-18 18:06 christoph_s Relationship added parent of 0003584
2006-05-18 18:07 christoph_s Relationship added parent of 0003772
2006-05-18 18:08 christoph_s Relationship added parent of 0000195
2006-05-18 18:09 christoph_s Relationship added related to 0002341
2006-05-18 18:10 christoph_s Relationship added parent of 0003629
2006-05-18 18:11 christoph_s Relationship added parent of 0002400
2006-05-18 18:13 christoph_s Relationship added parent of 0002793
2006-05-18 18:14 christoph_s Relationship added parent of 0003300
2006-05-18 18:15 christoph_s Relationship added parent of 0003338
2006-05-18 18:16 christoph_s Relationship added related to 0002107
2006-05-18 18:17 christoph_s Relationship added parent of 0003416
2006-05-18 18:17 christoph_s Relationship replaced parent of 0002341
2006-05-18 18:19 christoph_s Relationship added parent of 0001184
2006-05-18 18:19 christoph_s Relationship added parent of 0003415
2006-05-18 18:20 christoph_s Relationship added related to 0003436
2006-05-18 18:21 christoph_s Relationship added related to 0000129
2006-05-18 18:22 christoph_s Relationship added parent of 0003183
2006-05-18 18:23 christoph_s Relationship added parent of 0003645
2006-05-18 18:23 christoph_s Relationship added parent of 0000185
2006-05-18 18:26 christoph_s Relationship added related to 0003130
2006-05-18 18:26 mhanski Description Updated
2006-05-18 18:28 christoph_s Relationship added related to 0000245
2006-05-18 18:29 christoph_s Relationship added parent of 0003163
2006-05-18 18:29 christoph_s Relationship added parent of 0003222
2006-05-18 18:29 christoph_s Relationship added parent of 0003526
2006-05-18 18:30 christoph_s Relationship added parent of 0003478
2006-05-18 18:30 christoph_s Relationship added related to 0003458
2006-05-18 18:31 christoph_s Relationship added related to 0000083
2006-05-18 18:32 christoph_s Relationship added related to 0003388
2006-05-18 18:33 christoph_s Relationship added parent of 0003211
2006-05-18 18:33 christoph_s Relationship added parent of 0003243
2006-05-18 18:34 christoph_s Relationship added parent of 0003297
2006-05-18 18:34 christoph_s Relationship added parent of 0002435
2006-05-18 18:35 christoph_s Relationship added related to 0003287
2006-05-18 18:35 christoph_s Relationship added parent of 0003230
2006-05-18 18:35 christoph_s Relationship added parent of 0003212
2006-05-18 18:35 christoph_s Relationship added parent of 0003186
2006-05-18 18:36 christoph_s Relationship added parent of 0003187
2006-05-18 18:38 christoph_s Relationship added related to 0003175
2006-05-18 18:38 christoph_s Relationship added parent of 0003139
2006-05-18 18:39 christoph_s Relationship added parent of 0001557
2006-05-18 18:39 christoph_s Relationship added parent of 0002843
2006-05-18 18:40 christoph_s Relationship added related to 0003015
2006-05-18 18:40 christoph_s Relationship added parent of 0002977
2006-05-18 18:41 christoph_s Relationship added parent of 0002993
2006-05-18 18:41 christoph_s Relationship added related to 0002952
2006-05-18 18:41 christoph_s Relationship added related to 0002913
2006-05-18 18:42 christoph_s Relationship added parent of 0002906
2006-05-18 18:42 christoph_s Relationship added parent of 0002837
2006-05-18 18:43 christoph_s Relationship added parent of 0002749
2006-05-18 18:43 christoph_s Relationship added related to 0002681
2006-05-18 18:44 christoph_s Relationship added parent of 0002646
2006-05-18 18:44 christoph_s Relationship added parent of 0002496
2006-05-18 18:44 christoph_s Relationship added parent of 0002574
2006-05-18 18:45 christoph_s Relationship added parent of 0002416
2006-05-18 18:45 christoph_s Relationship added related to 0002137
2006-05-18 18:45 christoph_s Relationship added parent of 0002523
2006-05-18 18:46 christoph_s Relationship added related to 0002119
2006-05-18 18:47 christoph_s Relationship added related to 0002175
2006-05-18 18:47 christoph_s Relationship added parent of 0002413
2006-05-18 18:47 christoph_s Relationship added parent of 0002412
2006-05-18 18:48 christoph_s Relationship added parent of 0001957
2006-05-18 18:51 christoph_s Relationship added related to 0002458
2006-05-18 18:53 christoph_s Relationship added related to 0001410
2006-05-18 18:55 christoph_s Relationship added related to 0001579
2006-05-18 18:57 christoph_s Relationship added related to 0000459
2006-05-18 18:57 christoph_s Relationship added related to 0000454
2006-05-18 18:59 christoph_s Relationship added related to 0001548
2006-05-18 19:00 christoph_s Relationship added parent of 0002845
2006-05-18 19:03 christoph_s Relationship added related to 0002565
2006-05-18 19:03 christoph_s Relationship added related to 0001322
2006-05-18 19:05 christoph_s Relationship added related to 0002185
2006-05-18 19:19 christoph_s Relationship added parent of 0000663
2006-05-18 19:20 christoph_s Relationship added parent of 0001931
2006-05-18 19:31 christoph_s Relationship added parent of 0000766
2006-05-18 19:32 christoph_s Relationship added parent of 0001896
2006-05-18 19:32 christoph_s Relationship added parent of 0000403
2006-05-18 19:33 christoph_s Relationship added parent of 0001572
2006-05-18 19:33 christoph_s Relationship added parent of 0001358
2006-05-18 19:34 christoph_s Relationship added parent of 0001835
2006-05-18 19:34 christoph_s Relationship added parent of 0001799
2006-05-18 19:35 christoph_s Relationship added related to 0001798
2006-05-18 19:35 christoph_s Relationship added parent of 0001796
2006-05-18 19:36 christoph_s Relationship added parent of 0001357
2006-05-18 19:36 christoph_s Relationship added parent of 0001228
2006-05-18 19:37 christoph_s Relationship added related to 0001378
2006-05-18 19:38 christoph_s Relationship added related to 0001349
2006-05-18 19:40 christoph_s Relationship added parent of 0001213
2006-05-18 19:42 christoph_s Relationship added related to 0000028
2006-05-18 19:43 christoph_s Relationship added related to 0000724
2006-05-18 19:43 christoph_s Relationship added parent of 0000935
2006-05-18 19:44 christoph_s Relationship added related to 0000659
2006-05-18 19:44 christoph_s Relationship added parent of 0000658
2006-05-18 19:45 christoph_s Relationship added parent of 0000860
2006-05-18 19:46 christoph_s Relationship added related to 0000356
2006-05-18 19:47 christoph_s Relationship added parent of 0000590
2006-05-18 19:47 christoph_s Relationship added related to 0000366
2006-05-18 19:48 christoph_s Relationship added related to 0000360
2006-05-18 19:49 christoph_s Relationship added parent of 0000359
2006-05-18 19:49 christoph_s Relationship added parent of 0000144
2006-05-18 19:50 christoph_s Relationship added parent of 0000021
2006-05-18 19:51 christoph_s Relationship added related to 0000043
2006-05-18 22:39 avox Status new => acknowledged
2006-05-18 23:36 christoph_s Summary Metabug: Master pages => Metabug: Master pages/Page templates
2006-07-02 22:16 mhanski Additional Information Updated
2006-07-23 19:43 christoph_s Relationship added parent of 0004054
2006-10-07 20:42 christoph_s Relationship added parent of 0004373
2006-10-07 20:42 christoph_s Relationship added parent of 0004169
2006-10-07 20:43 christoph_s Relationship added parent of 0004289
2006-10-07 20:44 christoph_s Relationship added parent of 0003947
2007-07-12 15:18 christoph_s Relationship added parent of 0005990
2007-07-12 15:20 christoph_s Relationship added parent of 0004399
2007-08-07 16:01 christoph_s Relationship added child of 0005928
2007-08-07 16:01 christoph_s Relationship replaced parent of 0005928
2014-07-09 22:36 Kunda Relationship added parent of 0011235
2014-07-09 22:37 Kunda Relationship added parent of 0008356
2014-07-09 22:40 Kunda Relationship added parent of 0011106
2014-07-13 14:30 Kunda Relationship added parent of 0012515
2014-08-04 15:48 Kunda Relationship added parent of 0012072
2014-08-04 15:48 Kunda Relationship deleted parent of 0012072
2014-08-04 15:51 Kunda Relationship added parent of 0010263
2014-08-04 15:54 Kunda Relationship added parent of 0012588
2014-09-18 21:18 Kunda Relationship added parent of 0008602
2014-09-20 11:43 Kunda Relationship added parent of 0012108
2014-10-08 22:55 Kunda Relationship added parent of 0009766
2014-10-20 12:43 Kunda Relationship added parent of 0012478
2015-02-18 21:20 JLuc Relationship added related to 0011409
2015-02-18 21:22 JLuc Relationship added related to 0012738
2015-02-18 21:24 JLuc Relationship added related to 0012158
2015-02-18 21:24 JLuc Relationship added related to 0011601
2015-02-18 21:25 JLuc Relationship added related to 0011667
2015-02-18 21:25 JLuc Relationship added related to 0010272
2015-02-18 21:26 JLuc Relationship added related to 0010453
2015-02-18 21:27 JLuc Relationship added related to 0010468
2015-02-19 22:21 JLuc Relationship added related to 0012924
2015-10-26 20:08 Kunda Relationship added related to 0013401
2015-11-11 21:27 Kunda Relationship added parent of 0013526
2016-03-08 05:58 Kunda Relationship added parent of 0008919
2016-04-05 22:24 Kunda Relationship added parent of 0009414
2016-04-07 20:35 Kunda Relationship added parent of 0013297
2016-04-07 20:35 Kunda Relationship added parent of 0013927
2016-05-20 15:11 Kunda Relationship added parent of 0004662
2016-05-29 08:13 Kunda Relationship added parent of 0006480
2016-11-18 12:21 Kunda Relationship added parent of 0013223
2016-12-01 11:59 Kunda Relationship added parent of 0008115